#include <iostream>
#include <vector>

std::vector<std::vector<int>> readInput(int& problemsCount, int& playersCount, int& IvailoNumber){
    std::cin>>problemsCount>>playersCount>>IvailoNumber;
    std::vector<std::vector<int>> results(playersCount, std::vector<int>(problemsCount));

for(int i=0; i<playersCount; i++){
    for(int j=0; j<problemsCount; j++){
        std::cin>>results[i][j];
    }
}
return results;
}

bool isEverything0(std::vector<std::vector<int>>& results){
    for(int i=0; i<results.size(); i++){
        for(int j=0; j<results[i].size(); j++){
            if(results[i][j]!=0){
                return false;
            }
        }
    }
    return true;
}

std::vector<int> countPlayersScore(std::vector<std::vector<int>>& results){
    std::vector<int> scores(results.size());
    int sum=0;
    for(int i=0; i<results.size(); i++){
        for(int j=0; j<results[i].size(); j++){
            sum+=results[i][j];
        }
        scores.push_back(sum);
        sum=0;
    }
    return scores;
}

int main() {
    int problemsCount = 0;
    int playersCount =0;
    int IvailoNumber = 0;
    std::vector<std::vector<int>> results = readInput(problemsCount, playersCount, IvailoNumber);
    if(isEverything0(results)){
        std::cout<<"-1"<<std::endl; return 0;
    }
    std::vector<int> scores(playersCount);
    scores = countPlayersScore(results);

    int IvailoScore = scores[IvailoNumber];
    int maxScore = 0;
    for(int i=0; i<scores.size(); i++){
        if(i!=IvailoNumber){continue;}
       if(maxScore<scores[i]) {
          maxScore=scores[i];
       }
    }
    if(maxScore<IvailoScore){
        std::cout<<"0"<<std::endl; return 0;
    }
    int diff=maxScore-IvailoScore;
    int hacks= 1;
    if(diff>100&&diff%100==0){
        hacks=diff/100;
    }
    else{
        hacks=(diff/100)+1;
    }
   std::cout<<hacks<<std::endl;


    return 0;
}
