#include <iostream>
#include <vector>

std::vector<std::vector<int>> readInput(int& problemsCount, int& playersCount, int& IvailoNumber){
    std::cin>>problemsCount>>playersCount>>IvailoNumber;
    std::vector<std::vector<int>> results(playersCount, std::vector<int>(problemsCount));

for(int i=0; i<playersCount; i++){
    for(int j=0; j<problemsCount; j++){
        std::cin>>results[i][j];
    }
}
return results;
}

bool isEverything0(std::vector<std::vector<int>>& results){
    for(int i=0; i<results.size(); i++){
        for(int j=0; j<results[i].size(); j++){
            if(results[i][j]!=0){
                return false;
            }
        }
    }
    return true;
}

std::vector<int> countPlayersScore(std::vector<std::vector<int>>& results){
    std::vector<int> scores;
    int sum=0;
    for(int i=0; i<results.size(); i++){
        for(int j=0; j<results[i].size(); j++){
            sum+=results[i][j];
        }
        scores.push_back(sum);
        sum=0;
    }

    return scores;
}

int main() {
    int problemsCount = 0;
    int playersCount =0;
    int IvailoNumber = 0;
    std::vector<std::vector<int>> results = readInput(problemsCount, playersCount, IvailoNumber);
    if(isEverything0(results)){
        std::cout<<"-1"<<std::endl; return 0;
    }
    std::vector<int> scores(playersCount);
    scores = countPlayersScore(results);
//    std::cout<<"Scores: ";
//    for(int i=0; i<scores.size(); i++){
//        std::cout<<scores[i]<<" ";
//    }
//    std::cout<<std::endl;
    int IvailoScore = scores[IvailoNumber-1];
   // std::cout<<"Ivailo's score: "<<IvailoScore<<std::endl;
    int maxScore = 0;
    for(int i=0; i<scores.size(); i++){
       if(maxScore<scores[i]) {
          maxScore=scores[i];
       }
    }
    //std::cout<<"Max score: "<<maxScore<<std::endl;
    if(maxScore==IvailoScore){
        std::cout<<"1"<<std::endl; return 0;
    }
    int diff=maxScore-IvailoScore;
   // std::cout<<"diff: "<<diff<<std::endl;
    int hacks= 0;
    while(true){
        diff-=200;
        hacks++;
        if(diff<=0){break;}
    }
//    if(diff>100&&diff%100==0){
//        hacks=diff/100;
//    }
//    else{
//        hacks=(diff/100)+1;
//    }
   std::cout<<hacks<<std::endl;


    return 0;
}
