#include <bits/stdc++.h>

#define MAXN 1024

using namespace std;

pair<int, int> p[MAXN];
pair<int, int> coordinates[MAXN];

bool checkForRectangle(pair<int, int>& A, pair<int, int>& B, pair<int, int>& C, pair<int, int>& D) {
    return abs(A.first - B.first) == abs(A.second - B.second) && abs(A.first - C.first) == abs(A.second - C.second) &&
           abs(B.first - D.first) == abs(B.second - D.second) && abs(C.first - D.first) == abs(C.second - D.second);
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n; cin >> n;

    for (int i = 0; i < n; i++) cin >> p[i].first >> p[i].second;
    sort(p, p + n);

    int coordSize = 0;

    for (int i = 0; i < n; i++) {
        if (i == n - 1 || p[i] != p[i + 1]) {
            coordinates[coordSize++] = p[i];
        }
    }

    int ans = 0;

    for (int i = 0; i < coordSize - 3; i++) {
        for (int j = i + 1; j < coordSize - 2; j++) {
            for (int k = j + 1; k < coordSize - 1; k++) {
                for (int q = k + 1; q < coordSize; q++) {
                    ans += checkForRectangle(coordinates[i], coordinates[j], coordinates[k], coordinates[q]);
                }
            }
        }
    }

    cout << ans << endl;

    return 0;
}
