/*
Y
. . . . . . . .
. . E / . . . .
. F / . \ . . .
D / . \ . \ . .
. . \ . \ . / A
. . . \ . / B .
. . . . / C . .
. . . . . . . .
0 . . . . . . .X
*/
#include <bits/stdc++.h>
#define ull unsigned long long
//skupo budeshto az, trugnah po tova reshenie, zashtoto si misleh che davat 256MB ram na taq zadacha, a to bilo za price, a tuk bili 2MB. GG rip bozo
using namespace std;
struct Point{
    int x;
    int y;
    Point(){}
    Point(int ix, int iy){ x = ix; y = iy; }
};
struct Line{
    Point a;
    Point b;
    Line(){}
    Line(Point ia, Point ib){
        a = ia;
        b = ib;
    }
    double slope(){
        return (double)(b.y-a.y)/(b.x-a.x);
    }
    double length(){
        return sqrt((double)( (b.y-a.y)*(b.y-a.y) + (b.x-a.x)*(b.x-a.x) ));
    }
    bool compat(Line other){
        if(min(a.x,b.x) > max(other.a.x, other.b.x)){return false;} /// too left
        if(min(a.y,b.y) > max(other.a.y, other.b.y)){return false;} /// too low
        if(max(a.x,b.x) < min(other.a.x, other.b.x)){return false;} /// too right
        if(max(a.y,b.y) < min(other.a.y, other.b.y)){return false;} /// too high
        if(slope() != other.slope()){return false;}                 /// not parallel
        if(length() != other.length()){return false;}               /// not the same length
        return true;
    }
};
int min(int a, int b, int c, int d){
    return min(min(a,b), min(c,d));
}
int max(int a, int b, int c, int d){
    return max(max(a,b), max(c,d));
}
struct Parallels{
    Line first;
    Line second;
    Parallels(){}
    Parallels(Line f, Line s){
        first = f;
        second = s;
    }
    bool compat(Parallels other){
        if(other.first.slope() != (-first.slope())){return false;} /// not perpendicular
        if(min(first.a.x, first.b.x, second.a.x, second.b.x) != min(other.first.a.x, other.first.b.x, other.second.a.x, other.second.b.x)){return false;}
        if(min(first.a.y, first.b.y, second.a.y, second.b.y) != min(other.first.a.y, other.first.b.y, other.second.a.y, other.second.b.y)){return false;}
        if(max(first.a.x, first.b.x, second.a.x, second.b.x) != max(other.first.a.x, other.first.b.x, other.second.a.x, other.second.b.x)){return false;}
        if(max(first.a.y, first.b.y, second.a.y, second.b.y) != max(other.first.a.y, other.first.b.y, other.second.a.y, other.second.b.y)){return false;}
        return true;
    }
};
ull combs(ull n){
    if(n == 0){return 0;}
    return combs(n-1)+(n-1);
}
int main(){
//    Point p1 = Point(6,4);
//    Point p2 = Point(4,2);
//    Line l1 = Line(p1,p2);
//    cout << l1.slope();
//    cout << l1.length();
//    return 0;
    int n;
    cin >> n;
    if(n<3){cout << 0; return 0;}
    vector<Point> p;
    Point tmp;
    for(int i = 0; i < n; i++){
        cin >> tmp.x;
        cin >> tmp.y;
        p.push_back(tmp);
    }
//    cout << p.size() << " points\n";
    ///
    vector<Line> l;
    for(int i = 0; i < n; i++){
        for(int j = i+1; j < n; j++){
            l.push_back(Line(p[i],p[j]));
        }
    }
//    cout << l.size() << " lines:\n";
//    for(int i = 0; i < l.size(); i++){
//        cout << '\t' << l[i].slope() << ' ' << l[i].length() << '\n';
//    }
    ///
    vector<Parallels> r;
    for(int i = 0; i < l.size(); i++){
        for(int j = i+1; j < l.size(); j++){
            if(l[i].compat(l[j])){
                r.push_back(Parallels(l[i], l[j]));
            }
        }
    }
//    cout << r.size() << " parallels:\n";
//    for(int i = 0; i < r.size(); i++){
//        cout << '\t' << r[i].first.slope() << ' ' << r[i].first.length() << '\n';
//    }
    ///
    int cnt = 0;
    for(int i = 0; i < r.size(); i++){
        for(int j = i+1; j < r.size(); j++){
            if(r[i].compat(r[j])){cnt++;}
        }
    }
    cout << cnt;
    return 0;
}
