#include <iostream>
#include <vector>

using namespace std;

long long P[1000000];

void Flip(vector <long long> &A, int P)
{
    for (int i = P; i < A.size(); i++)
    {
        A[i] = -A[i];
    }
}

long long Eval(vector <long long> C)
{
    long long R = 0;
    for (int i = 0; i < C.size(); i++)
    {
        R += C[i];
    }

    return R;
}

long long PR(vector <long long> C, long long L)
{
    if (L == 0)
    {
        return Eval(C);
    }
    long long MinP = 10000000000000000;

    for (long long i = 0; i < C.size(); i++)
    {
        Flip(C, i);
        MinP = min(MinP, PR(C, L - 1));
        Flip(C, i);
    }

    return MinP;
}

int main()
{
    long long N;
    long long K;
    long long R = 10000000000000000;
    vector <long long> T;

    cin >> N;
    cin >> K;

    for (long long i = 0; i < N; i++)
    {
        cin >> P[i];
        T.push_back(P[i]);
    }

    for (int i = 0; i <= K; i++)
    {
        R = min(R, PR(T, i));
    }

    cout << R;
}
