#include <bits/stdc++.h>

using namespace std;

const int maxn = 1e4;

struct point{
    int x, y;

    void read(){
        cin >> x >> y;
    }
    void print(){
        cout << x << " " << y << endl;
    }
}p[maxn];

bool cmp(point a, point b){
    if(a.y != b.y){
        return a.y > b.y;
    }
    return a.x < b.x;
}
bool rect(point a, point b, point c, point d){
    double razx = (a.x - b.x) * (a.x - b.x) + (a.y - b.y) * (a.y - b.y);
    double razy = (a.x - c.x) * (a.x - c.x) + (a.y - c.y) * (a.y - c.y);
    double cx = (c.x - d.x) * (c.x - d.x) + (c.y - d.y) * (c.y - d.y);
    double cy = (b.x - d.x) * (b.x - d.x) + (b.y - d.y) * (b.y - d.y);
    razx = sqrt(razx);
    cx = sqrt(cx);
    razy = sqrt(razy);
    cy = sqrt(cy);
    return abs(razx) == abs(cx) && abs(razy) == abs(cy);
}

int main(){
    ios_base::sync_with_stdio(false);
    int n, cnt = 0;
    cin >> n;
    for(int i = 0;i < n;i++){
        p[i].read();
    }
    sort(p, p + n, cmp);
    for(int i = 0;i < n;i++){
        for(int j = i + 1;j < n;j++){
            for(int k = j + 1;k < n;k++){
                for(int q = k + 1;q < n;q++){
                    int x1 = p[i].x + p[j].x + p[k].x + p[q].x;
                    int x2 = p[i].y + p[j].y + p[k].y + p[q].y;
                    if(x1 % 2 == 0 && x2 % 2 == 0) cnt++;
                }
            }
        }
    }
    cout << cnt / 3 << endl;
    return 0;
}
