#include <bits/stdc++.h>

using namespace std;
const int MAXN = 500010;
const int64_t inf = 1e15;
int64_t pos[MAXN], neg[MAXN], a[MAXN], n, k, difference[MAXN];

int findMAX()
{
    int MAX = -1, maxIndex = -1, i;
    for (i = 0; i < n; i++)
    {
        if (difference[i])
        {
            if (difference[i] > MAX)
            {
                MAX = difference[i];
                maxIndex = i;
            }
        }
    }
    return maxIndex;
}
void Recalc(int& start)
{
    int i;
    for (i = n-1; i >= start; i--)difference[i] = -difference[i];
    for (i = start-1; i >= 0; i--)
        difference[i] += 2*difference[start];
}
void Print()
{
    for (int i = 0; i < n; i++)
        cout << difference[i] << " ";
    cout << '\n' << '\n';
}
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int i, start;
    int64_t curr_diffrence;
    cin >> n >> k;
    for (i = 0; i < n; i++)
        cin >> a[i];

    for (i = n-1; i >= 0; i--)
    {
        pos[i] = pos[i+1];
        neg[i] = neg[i+1];

        if (a[i] >= 0)pos[i] += a[i];
        else neg[i] += abs(a[i]);

        difference[i] = pos[i]-neg[i];
    }

    while (k)
    {
        int start = findMAX();
        if (start == -1)break;
        k--;
        Recalc(start);
    }
    int64_t MIN = inf;

    for (i = 0; i < n; i++)
        MIN = min(difference[i], MIN);

    cout << MIN << '\n';

    return 0;

}
/*
9 2
-1 5 -3 4 -2 6 7 -1 2

6 2
-1 10 6 5 -2 -3
*/
