#include <bits/stdc++.h>

#define MAXN 51
#define MAXM 10001

using namespace std;

int n, m, k;
int scores[MAXM][MAXN];
bool isSolved[MAXN];
int results[MAXM];
int contestantKResult = 0;

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    cin >> n >> m >> k;
    for (int i = 0; i < m; i++) {
        for (int j = 0; j < n; j++) {
            cin >> scores[i][j];
        }
    }

    k--;
    for (int i = 0; i < m; i++) {
        if (i == k) {
            for (int j = 0; j < n; j++) {
                contestantKResult += scores[i][j];
                isSolved[j] = (scores[i][j] != 0);
            }
            continue;
        }

        for (int j = 0; j < n; j++) {
            results[i] += scores[i][j];
        }
    }

    int ans = 0;

    for (int i = 0; i < m; i++) {
        if (i == k) continue;
        if (contestantKResult > results[i]) continue;

        vector<int> v; //results
        for (int j = 0; j < n; j++) {
            if (isSolved[j]) v.push_back(scores[i][j]);
        }

        sort(v.begin(), v.end());

        for (int j = int(v.size()) - 1; j >= 0; j--) {
            if (v[j] == 0) break;

            contestantKResult += 100;
            results[i] -= v[j];
            ans++;

            if (contestantKResult > results[i]) break;
        }

        if (contestantKResult <= results[i]) {
            cout << -1 << endl;
            return 0;
        }
    }

    cout << ans << endl;

    return 0;
}
