#include <bits/stdc++.h>

#define MAXN 51
#define MAXM 10001

using namespace std;

int n, m, k;
int scores[MAXM][MAXN];
bool isSolved[MAXN];
int results[MAXM];
int kResult = 0;
int biggestResult = 0;

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    cin >> n >> m >> k;
    for (int i = 0; i < m; i++) {
        for (int j = 0; j < n; j++) {
            cin >> scores[i][j];
            results[i] += scores[i][j];
        }
        if (i == k - 1) {
            kResult = results[i];
        }
    }

    k--;
    for (int j = 0; j < n; j++) {
        isSolved[j] = (scores[k][j] != 0);
    }

    int ans = 0;
    bool moreCheck = false;

    for (int i = 0; i < m; i++) {
        if (i == k) continue;
        if (kResult > results[i]) continue;

        vector<int> v;
        for (int j = 0; j < n; j++) {
            if (isSolved[j]) v.push_back(scores[i][j]);
        }

        sort(v.begin(), v.end());

        for (int j = int(v.size()) - 1; j >= 0; j--) {
            if (v[j] == 0) continue;

            kResult += 100;
            results[i] -= v[j];
            ans++;

            if (kResult > results[i]) break;
        }

        if (kResult <= results[i]) {
            moreCheck = true;
        }
    }

    if (!moreCheck) {
        cout << ans << endl;
        return 0;
    }


    for (int i = 0; i < m; i++) {
        if (i == k) continue;

        biggestResult = max(biggestResult, results[i]);
    }

    for (int i = 0; i < m; i++) {
        if (i == k) continue;
        if (kResult < results[i]) continue;

        vector<int> v;
        for (int j = 0; j < n; j++) {
            if (isSolved[j]) v.push_back(scores[i][j]);
        }

        sort(v.begin(), v.end());

        for (int j = int(v.size()) - 1; j >= 0; j--) {
            if (v[j] == 0) continue;

            kResult += 100;
            results[i] -= v[j];
            ans++;

            if (kResult > biggestResult) {
                cout << ans << endl;
                return 0;
            }
        }
    }

    for (int i = 0; i < m; i++) {
        if (i == k) continue;

        if (kResult <= results[i]) {
            cout << -1 << endl;
            return 0;
        }
    }

    cout << ans << endl;

    return 0;
}
