#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

struct Coord
{
    int X;
    int Y;
};

Coord P[2000];

vector <int> Binary[10000];

bool IsC(Coord A)
{
    if (Binary[A.X].empty())
    {
        return false;
    }

    int L = 0;
    int R = Binary[A.X].size() - 1;

    while (L <= R)
    {
        int M = (L + R) / 2;

        if (Binary[A.X][M] == A.Y)
        {
            return true;
        }
        if (Binary[A.X][M] < A.Y)
        {
            L = M + 1;
        }
        else if (Binary[A.X][M] > A.Y)
        {
            R = M - 1;
        }
    }

    return false;
}

int main()
{
    int N;
    int Q = 0;
    cin >> N;

    for (int i = 0; i < N; i++)
    {
        cin >> P[i].X;
        cin >> P[i].Y;

        Binary[P[i].X].push_back(P[i].Y);
    }

    for (int i = 0; i < 10000; i++)
    {
        sort (Binary[i].begin(), Binary[i].end());
    }

    for (int i = 0; i < 20; i++)
    {
        cout << i << " -> ";

        for (int j = 0; j < Binary[i].size(); j++)
        {
            cout << Binary[i][j] << " ";
        }
        cout << endl;
    }

    /**int K;
    int T1;
    int T2;
    cin >> K;

    for (int i = 0; i < K; i++)
    {
        cin >> T1;
        cin >> T2;

        cout << IsC({T1, T2}) << endl;
    }**/

    for (int i = 0; i < N; i++)
    {
        for (int j = 0; j < N; j++)
        {
            if (i != j)
            {
                if ((P[i].X < P[j].X) && (P[i].Y < P[j].Y))
                {
                    cout << P[i].X << " " << P[i].Y << "; " << P[j].X << " " << P[j].Y << endl;
                    if ( IsC({ P[i].X, P[j].Y }) && IsC({ P[j].X, P[i].Y }) )
                    {
                        Q++;
                    }
                }
            }
        }
    }

    cout << Q;
}


/**
.......
...#...
....#..
.....#.
#......
.#.....
..#....

4 5 9 10 17 91
2

*/
