#include<iostream>
#include<vector>

using namespace std;
int n,m,k;
int sums[10001];vector<int>points[10001];
vector<bool>hacked[10001];
void recalc_sum()
{
    for(int i=0;i<m;i++)
    {
        sums[i]=0;
        for(int j=0;j<n;j++)
        {
            sums[i]+=points[i][j];
        }
    }
}
void read()
{
    cin>>n>>m>>k;
    int x;
    --k;
    for(int i=0;i<m;i++)
    {
        for(int j=0;j<n;j++)
        {
            cin>>x;
            sums[i]+=x;
            points[i].push_back(x);
            hacked[i].push_back(false);
        }
    }
}
int findmax(int&ind)
{
    int maxn=0;
    for(int i=0;i<m;i++)
    {
        //if(maxn==sums[i])return -1;
        if(maxn<sums[i])
        {
            ind=i;
            maxn=sums[i];
        }
    }
    return maxn;
}
bool isFirst()
{
    int in=0,br=0;
    int maxn=findmax(in);
    //cout<<maxn<<" "<<in<<endl;
    if(in!=k)return 0;
    for(int i=0;i<m;i++)
    {
        if(sums[i]==maxn)br++;
    }
    return br==1;
}
int findmaxinv(int&ind,int p)
{
    int maxn=0;
    int br=0;
    for(int i=0;i<n;i++)
    {
        if(maxn<points[p][i])
        {
            maxn=points[p][i];
            ind=i;
            br++;
        }
    }
    if(br==0)return -1;
    return maxn;
}
bool hackedAll()
{
    for(int i=0;i<m;i++)
    {
        //cout<<"i:"<<i<<endl;
        for(int j=0;j<n;j++)
        {
            //cout<<"j:"<<j<<endl;
            if(hacked[i][j]==false)return false;
        }
    }
    return true;
}
void solve()
{
    int i=0;
    int maxn=findmax(i);
    //cout<<maxn<<endl;
    if(maxn==0)
    {
        //cout<<-1<<endl;
        return;
    }
    if(isFirst())cout<<0<<endl;
    int ind=0;
    //cout<<hackedAll()<<endl;
    //cout<<0<<endl;
    while(!isFirst()&&!hackedAll())
    {
        //cout<<ind<<endl;
        int i=0;
        int maxn=findmax(i);
        int j=0;
        int maxni=findmaxinv(i,j);
        if(!hacked[i][j]&&points[i][j]>0&&points[k][j]>0)
        {
            ind++;
            points[i][j]=0;
            recalc_sum();
            sums[k]+=100;
        }
        hacked[i][j]=true;
    }
    if(!isFirst())
    {
        cout<<-1<<endl;
        return;
    }
    cout<<ind<<endl;

}
int main()
{
	read();
	solve();
	return 0;
}
